Subject: bug#40573: 27.0.90; flymake-mode broken in scratch buffer

From: "Basil L. Contovounesios" <[email-masked]>
Date: Sat, 18 Apr 2020 12:55:58 +0100

João Távora <[email-masked]> writes:

>> I also think we have
>> many more similar Lisp data files mentioned in the core alone: I see a
>> lot if I grep the Lisp files for "~/".
>
> Sure, but I don't know which of those are Lisp data or not.  For 
> the set I edited, I relied on the feedback and the work of Juri
> and Basil, who presumably know and work these files. I'm all for
> extending lisp-data-mode to these files if someone (perhaps 
> some users or the authors of the extensions who produce 
> these files). But I don't use them, so I'm not the best person 
> to judge if they should have the cookie or not.
>
> If you do use and know some of these files, I think I've shown
> how trivial it is to make them use lisp-data-mode.

Another candidate: Gnus score files, an example of whose format is given
in '(gnus) Score File Format'.

By default, they have have a file suffix of either ".SCORE" or ".ADAPT",
as determined by the user options gnus-score-file-suffix and
gnus-adaptive-file-suffix, respectively.  Would these suffixes be unique
enough on their own to be added to auto-mode-alist?  Perhaps
gnus-score.el could do this after evaluating the defcustoms.

As for automatically adding a -*- mode -*- cookie - my guess is that
gnus-score-save is the right place.

Thanks,

-- 
Basil